Page 11 of 15

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Mon Apr 20, 2020 6:18 pm
by raptor666
Hi!

My problem!

Php7.4-fpm:

My web php7.3-fpm change to php7.4-fpm:

root@server1:~# service apache2 restart
[FAIL] Restarting Apache httpd web server: apache2 failed!
[warn] The apache2 configtest failed. ... (warning).
Output of config test was:
apache2: Syntax error on line 83 of /etc/apache2/apache2.conf: Syntax error on line 99 of /etc/apache2/conf.d/vesta.conf: Syntax error on line 104 of /home/admin/conf/web/myweb.com.apache2.conf: Expected </link> but saw </head>
Action 'configtest' failed.
The Apache error log may have more information.

Help!

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Mon Apr 20, 2020 7:14 pm
by dpeca
It's not related with my templates in any way.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Mon Apr 20, 2020 8:12 pm
by raptor666
up to php 7.3 all php versions you've installed work perfectly, but setting it to php 7.4 unfortunately writes this, so apache won't start!

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Mon Apr 20, 2020 8:36 pm
by dpeca
Buddy, somehow you have HTML in /home/admin/conf/web/myweb.com.apache2.conf

Double check what you have in /usr/local/vesta/data/templates/web/apache2/PHP-FPM-74.tpl

My advice to you is to re-download my templates again:

Code: Select all

wget http://dl.mycity.tech/vesta/php-fpm-tpl/PHP-FPM-74.stpl -O /usr/local/vesta/data/templates/web/apache2/PHP-FPM-74.stpl
wget http://dl.mycity.tech/vesta/php-fpm-tpl/PHP-FPM-74.tpl -O /usr/local/vesta/data/templates/web/apache2/PHP-FPM-74.tpl
wget http://dl.mycity.tech/vesta/php-fpm-tpl/PHP-FPM-74.sh -O /usr/local/vesta/data/templates/web/apache2/PHP-FPM-74.sh
chmod a+x /usr/local/vesta/data/templates/web/apache2/PHP-FPM-74.sh
Then select some other template to myweb.com, and then back it to PHP-FPM-74

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Tue Apr 21, 2020 11:14 pm
by raptor666
Thanks for working! :)

To an acquaintance of mine: nginx + php-fpm
Want php5.6, how to solve it?

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Wed Apr 22, 2020 7:22 am
by dpeca
raptor666 wrote:
Tue Apr 21, 2020 11:14 pm
Thanks for working! :)

To an acquaintance of mine: nginx + php-fpm
Want php5.6, how to solve it?
There is no way to use this tutorial without Apache installed.

You can LATER turn-off Apache (see second post in this thread).
But anyway, in order to use this tutorial, you must first install Vesta with Apache.

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Wed Apr 22, 2020 10:06 am
by raptor666
If I install the server this way, is it possible for a website to go specifically from NGINX and PHP-FPM?

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Wed Apr 22, 2020 10:48 am
by dpeca
raptor666 wrote:
Wed Apr 22, 2020 10:06 am
If I install the server this way, is it possible for a website to go specifically from NGINX and PHP-FPM?
Yes, read second post from this thread.
viewtopic.php?p=71226#p71226

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Fri Apr 24, 2020 11:26 am
by lukeseven
dpeca wrote:
Wed Apr 22, 2020 7:22 am
raptor666 wrote:
Tue Apr 21, 2020 11:14 pm
Thanks for working! :)

To an acquaintance of mine: nginx + php-fpm
Want php5.6, how to solve it?
There is no way to use this tutorial without Apache installed.

You can LATER turn-off Apache (see second post in this thread).
But anyway, in order to use this tutorial, you must first install Vesta with Apache.
Hi,
this is what I realized after running couple of the first commands. I am actually looking for such a scripts but only for Ubuntu/Nginx-PHP-FPM. I couldn't figure out how to install multiple versions of PHP and configure the selector for VestaCP without Apache. Do I really need to Install Apache or is there a way installing and setting up multiple versions of PHP and configuring the selector in VestaCP on my Ubuntu server where's no Apache installed? If no, can I just install Apache2 and then follow these steps?

I would appreciate any comments that would lead me to a solution, cause I didn't get it from this script if no Apache installed and only Nginx-PHP-FPM are in use.

Thank you very much

Re: TUTORIAL: PHP selector for PHP 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 for Debian & Ubuntu (and optionally directly nginx-PHP-F

Posted: Tue May 12, 2020 3:14 pm
by MrTux
I installed PHP 7.4 on Ubuntu 18.04 (apache + nginx) everything works, except Roundcube which produces this error.

Going back to PHP 7.2 the error disappears.

Image